You are not logged in.

#1 2011-09-14 19:51:07

mDuo13
Member
Registered: 2010-04-25
Posts: 89

[solved] virtualbox-bin error

I haven't been able to build virtualbox-bin for a while. I'm not sure why. I currently have virtualbox_bin installed, but after upgrading the kernel it doesn't work anymore (the /etc/rc.d/vboxdrv setup fails) so I tried installing the newer package and I get an uninformative error that an error occurred in package():

virtualbox-bin 4.1.2-1 
( Unsupported package: Potentially dangerous ! )
==> Edit PKGBUILD ? [Y/n] ("A" to abort)
==> ------------------------------------
==> n

==> virtualbox-bin dependencies:
 - libidl2 (already installed)
 - libxcursor (already installed)
 - libxinerama (already installed)
 - libxslt (already installed)
 - curl (already installed)
 - linux-headers (already installed)
 - python2 (already installed)


==> Edit install ? [Y/n] ("A" to abort)
==> -----------------------------------
==> n

==> Continue building virtualbox-bin ? [Y/n]
==> ----------------------------------------
==> 
==> Building and installing package
==> Making package: virtualbox-bin 4.1.2-1 (Wed Sep 14 12:35:54 PDT 2011)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
  -> Downloading VirtualBox-4.1.2-73507-Linux_amd64.run...
--2011-09-14 12:35:54--  http://download.virtualbox.org/virtualbox/4.1.2/VirtualBox-4.1.2-73507-Linux_amd64.run
Resolving download.virtualbox.org... 137.254.16.69
Connecting to download.virtualbox.org|137.254.16.69|:80... connected.
HTTP request sent, awaiting response... 302 Moved Temporarily
Location: http://dlc.sun.com.edgesuite.net/virtualbox/4.1.2/VirtualBox-4.1.2-73507-Linux_amd64.run [following]
--2011-09-14 12:35:54--  http://dlc.sun.com.edgesuite.net/virtualbox/4.1.2/VirtualBox-4.1.2-73507-Linux_amd64.run
Resolving dlc.sun.com.edgesuite.net... 128.241.220.120, 128.241.220.106
Connecting to dlc.sun.com.edgesuite.net|128.241.220.120|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 73389509 (70M) [application/octet-stream]
Saving to: `VirtualBox-4.1.2-73507-Linux_amd64.run.part'

100%[======================================>] 73,389,509   144K/s   in 5m 4s   

2011-09-14 12:40:59 (235 KB/s) - `VirtualBox-4.1.2-73507-Linux_amd64.run.part' saved [73389509/73389509]

  -> Found 10-vboxdrv.rules
  -> Found vboxdrv.rc
  -> Found vboxdrv.conf
  -> Found vboxweb.rc
  -> Found vboxweb.conf
==> Validating source files with md5sums...
    VirtualBox-4.1.2-73507-Linux_amd64.run ... Passed
    10-vboxdrv.rules ... Passed
    vboxdrv.rc ... Passed
    vboxdrv.conf ... Passed
    vboxweb.rc ... Passed
    vboxweb.conf ... Passed
==> Extracting Sources...
==> Entering fakeroot environment...
==> Starting package()...
Verifying archive integrity... MD5 checksums are OK. All good.
==> ERROR: A failure occurred in package().
    Aborting...
==> ERROR: Makepkg was unable to build virtualbox-bin.
==> Restart building virtualbox-bin ? [y/N]
==> ---------------------------------------
==> 
==> WARNING: Following packages have not been installed:
    virtualbox-bin

I looked through the package stuff, but I couldn't find a smoking gun that would explain why it's failing. Anyone have any insight or suggestions on how to troubleshoot this one?

EDIT - Solution: Install manually instead of using yaourt. Also, install virtualbox-ext-oracle from AUR to get USB 2.0 support again (or disable USB support in the Virtualbox Settings menu).

Last edited by mDuo13 (2011-09-20 19:22:58)

Offline

#2 2011-09-14 19:55:50

Inxsible
Forum Fellow
From: Chicago
Registered: 2008-06-09
Posts: 9,059

Re: [solved] virtualbox-bin error

why not try the package from the official community repo ?


Forum Rules

There's no such thing as a stupid question, but there sure are a lot of inquisitive idiots !

Offline

#3 2011-09-14 20:10:27

karol
Archivist
Registered: 2009-05-06
Posts: 25,424

Re: [solved] virtualbox-bin error

I've just successfully installed virtualbox-bin with makepkg. Drop whatever AUR helper you're using and try for yourself.

Offline

#4 2011-09-20 19:20:53

mDuo13
Member
Registered: 2010-04-25
Posts: 89

Re: [solved] virtualbox-bin error

Inxsible wrote:

why not try the package from the official community repo ?

I don't remember exactly anymore, but I remember when I first installed virtualbox a long time ago there were some sort of features (graphics-related, maybe?) that aren't included in the source distribution of virtualbox, so that's why I wanted to use the binary version from the aur.

karol wrote:

I've just successfully installed virtualbox-bin with makepkg. Drop whatever AUR helper you're using and try for yourself.

I tried installing the package manually instead of using yaourt and it worked, although I had to install virtualbox-ext-oracle from the AUR to get USB 2.0 to work.

Thanks, dunno why I didn't think to do that myself.

Offline

#5 2012-08-05 23:29:00

mDuo13
Member
Registered: 2010-04-25
Posts: 89

Re: [solved] virtualbox-bin error

A rather late, but informative update, in case anyone else finds this on Google or something:

I have determined that yaourt itself is not the cause of this problem. The actual reason was that yaourt's temporary files were in a RAMFS (/tmp) folder. When I ran makepkg in yaourt's temporary folder, I got the same error as before; when I moved the folder out of /tmp/ to my home dir, makepkg ran successfully.

I think it's because RAMFS always reports 0 bytes free regardless of actual capacity; package() probably checks for free space, sees 0, and fails since it doesn't know that there actually is enough free space for the file. I'm switching my ramfs to a tmpfs and I'll see if it makes a difference.

Offline

Board footer

Powered by FluxBB